Subject: [PATCH 2/2] arm64: dts: qcom: Rename SBC to DragonBoard 410c

From: [email-masked] (Stephen Boyd)
Date: Wed, 4 Oct 2017 15:09:23 -0700

On 10/04, Rob Clark wrote:
> On Tue, Oct 3, 2017 at 2:54 PM, Rob Clark <[email-masked]> wrote:
> > On Tue, Oct 3, 2017 at 1:49 PM, Nicolas Dechesne
> > <[email-masked]> wrote:
> >> On Tue, Oct 3, 2017 at 6:37 PM, Rob Clark <[email-masked]> wrote:
> >>> On Tue, Oct 3, 2017 at 8:25 AM, Srinivas Kandagatla
> >>> <[email-masked]> wrote:
> >>>>
> >>>>
> >>>> On 03/10/17 10:11, Linus Walleij wrote:
> >>>>>
> >>>>> Naming the DragonBoard 410c "SBC" (I guess "single board computer")
> >>>>> is not very helpful for users looking for their device tree in
> >>>>> the kernel. Also the db820c is named properly.
> >>>>>
> >>>>> Rectify this, simply, do not change the compatible strings but name
> >>>>> the DTS files in a consistent manner.
> >>>>>
> >>>>> Signed-off-by: Linus Walleij <[email-masked]>
> >>>>
> >>>> I did not like the sbc naming convention too, This was primarily done due to
> >>>> some legacy build tools + bootloaders which have used sbc compatible to
> >>>> identify boards from multiple dtb blobs. Now that we can append dtb to
> >>>> kernel with new LK, this should not be a issue anymore.
> >>>
> >>> maybe it would be an idea to update skales/dbttool first to look for
> >>> the new name, and then give people some time to upgrade, before
> >>> changing this in the kernel.  Otherwise I expect you'll cause some
> >>> confusion..
> >>
> >> iirc, skale is using the compatible name, not the filename.
> >>
> >
> > ahh, yes, I think you are right.. u-boot is using a different filename.
> >
> > So in this case, no issue to pick a saner name :-)
> >
> 
> So, actually u-boot encodes the board's fdtname..  so as much as I'd
> like to rename it to something more sane, unless the kernel can manage
> to install a symlink for backwards compat, NAK
> 
> I was trying to think of hacks for u-boot to check for multiple fdt
> names, but if we want to get to the point of being able to install
> multiple distro's on a single disk, we actually need to pass fdtname
> to grub (where distro specific grub.cfg is encoding the UUID of the
> distro's /boot partition, so it knows where to load the dtb from)..
> this gets nearly impossible when one name becomes multiple names.  So
> hurray for the fdt name becoming accidental ABI!
> 
> If we managed to get this in before the 4.14 LTS I might feel
> differently.  But afterwards, totally not. :-(
> 

How do you install dtbs onto your device? Should be simple enough
to run 'mv' on the new filename to the old one?

-- 
Qualcomm Innovation Center, Inc. is a member of Code Aurora Forum,
a Linux Foundation Collaborative Project